GNU Radio C++ API Reference: gr::buffer_type_base Class Reference

| GNU Radio C++ API Reference 3.10.12.0 The Free & Open Software Radio Ecosystem |

Loading...
Searching...
No Matches
gr::buffer_type_base Class Reference

Base class for describing a buffer's type. More...

`#include <gnuradio/buffer_type.h>`

## Public Member Functions
virtual | ~buffer_type_base ()
| buffer_type_base (buffer_type_base const &other)
void | operator= (buffer_type_base const &)=delete
bool | operator== (const buffer_type_base &other) const
bool | operator!= (const buffer_type_base &other) const
bool | operator< (const buffer_type_base &other)=delete
bool | operator> (const buffer_type_base &other)=delete
bool | operator<= (const buffer_type_base &other)=delete
bool | operator>= (const buffer_type_base &other)=delete
const std::string & | name () const
| Get the human-readable name of the type.
virtual buffer_sptr | make_buffer (int nitems, size_t sizeof_item, uint64_t downstream_lcm_nitems, uint32_t downstream_max_out_mult, block_sptr link=block_sptr(), block_sptr buf_owner=block_sptr()) const
| Make and return a buffer subclass of the corresponding type.

## Protected Member Functions
| buffer_type_base (const std::string name)

## Protected Attributes
const std::string | d_name

## Detailed Description

Base class for describing a buffer's type.

## Constructor & Destructor Documentation

## ◆ ~buffer_type_base()

virtual gr::buffer_type_base::~buffer_type_base | ( |  | ) |
| inlinevirtual

## ◆ buffer_type_base() [1/2]

gr::buffer_type_base::buffer_type_base | ( | buffer_type_base const & | other | ) |
| inline

References buffer_type_base(), and d_name.

Referenced by buffer_type_base(), gr::buftype< classname, factory_class >::buftype(), operator!=(), operator<(), operator<=(), operator=(), operator==(), operator>(), and operator>=().

## ◆ buffer_type_base() [2/2]

gr::buffer_type_base::buffer_type_base | ( | const std::string | name | ) |
| inlineprotected

References d_name, and name().

## Member Function Documentation

## ◆ make_buffer()

virtual buffer_sptr gr::buffer_type_base::make_buffer | ( | int | nitems,
|  | size_t | sizeof_item,
|  | uint64_t | downstream_lcm_nitems,
|  | uint32_t | downstream_max_out_mult,
|  | block_sptr | link = block_sptr(),
|  | block_sptr | buf_owner = block_sptr() ) const
| inlinevirtual

Make and return a buffer subclass of the corresponding type.

Reimplemented in gr::buftype< classname, factory_class >.

## ◆ name()

const std::string & gr::buffer_type_base::name | ( |  | ) | const
| inline

Get the human-readable name of the type.

References d_name.

Referenced by buffer_type_base(), and gr::buftype< classname, factory_class >::buftype().

## ◆ operator!=()

bool gr::buffer_type_base::operator!= | ( | const buffer_type_base & | other | ) | const
| inline

References buffer_type_base(), and d_name.

## ◆ operator<()

bool gr::buffer_type_base::operator< | ( | const buffer_type_base & | other | ) |
| delete

References buffer_type_base().

## ◆ operator<=()

bool gr::buffer_type_base::operator<= | ( | const buffer_type_base & | other | ) |
| delete

References buffer_type_base().

## ◆ operator=()

void gr::buffer_type_base::operator= | ( | buffer_type_base const & |  | ) |
| delete

References buffer_type_base().

## ◆ operator==()

bool gr::buffer_type_base::operator== | ( | const buffer_type_base & | other | ) | const
| inline

References buffer_type_base(), and d_name.

## ◆ operator>()

bool gr::buffer_type_base::operator> | ( | const buffer_type_base & | other | ) |
| delete

References buffer_type_base().

## ◆ operator>=()

bool gr::buffer_type_base::operator>= | ( | const buffer_type_base & | other | ) |
| delete

References buffer_type_base().

## Member Data Documentation

## ◆ d_name

const std::string gr::buffer_type_base::d_name
| protected

Referenced by buffer_type_base(), buffer_type_base(), name(), operator!=(), and operator==().

The documentation for this class was generated from the following file:

- buffer_type.h